<?php

namespace App\Http\Requests\Voucher;

use Illuminate\Foundation\Http\FormRequest;

class StoreVoucherSaleRequest extends FormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'nas_package_profile_id' => ['required', 'integer', 'exists:nas_package_profiles,id'],
            'nas_mikrotik_id' => ['nullable', 'integer', 'exists:nas_mikrotiks,id'],
            'quantity' => ['required', 'integer', 'min:1', 'max:100'], 'notes' => ['nullable', 'string', 'max:2000'],
        ];
    }
}
